Web lists-archives.com

Re: [Samba] Upgrading samba from jessie (4.2) to stretch (4.5) in AD mode...




On Thu, 22 Jun 2017 12:23:15 +0200
Marco Gaiarin via samba <samba@xxxxxxxxxxxxxxx> wrote:

> 
> > > For any debian samba 4.1.x and debian samba 4.2.x upgrades to 4.5
> > > and up 
> > I've seend that (on list archive, or in some debian bugs, i don't
> > remember) but seems not relevant to me bacause i've had just do
> > 'classic upgrade', eg i was just in AD mode when upgrade from 4.2 to
> > 4.5.
> 
> Ok, my collegue reply.
> 
> Simply and temporary commented out the:
> 
> 	server role = active directory domain controller
> 
> in smb.conf, let dpkg do the postinst and then uncommented back.
> 
> Looking at the postinst script, seems that try to explicit run the
> /etc/init.d/winbind init script, while in ad mode winbind is run by
> other mean (samba-ad systemd stanza).
> 
> Better to fire up a bug in debian BTS?

Which version of samba did you upgrade to ?
Where did it come from, a Debian repo or Louis's ?
Which package is the postinst script in ?

If I can get this info, I will check just what the script is trying to
do.

Rowland

-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba